Action Inquiries

List All Action Inquiries

get

Returns a list of the action inquiries made for your campaign, filtered by the provided parameters. The inquiries are returned by creation date, with the most recent appearing first.

Path parameters
AccountSIDstringRequired
Query parameters
CampaignIdintegerRequired

The ID of the campaign (program) to view action inquiries for.

StartDatestring · date-timeOptional

Filters for inquiries created on or after this date (ISO 8601).

EndDatestring · date-timeOptional

Filters for inquiries created on or before this date (ISO 8601).

TransactionDateStartstring · date-timeOptional

Filters for inquiries with a transaction date on or after this value.

TransactionDateEndstring · date-timeOptional

Filters for inquiries with a transaction date on or before this value.

MediaPartnerIdintegerOptional

Filters inquiries to a specific partner by their ID.

OrderIdstringOptional

Filters for inquiries associated with a specific order ID.

ResolutionStatusstring · enumOptional

Filters inquiries by their resolution status.

Possible values:
Responses
200

A paginated list of action inquiry objects.

application/json
@pagestringOptional
get
/Advertisers/{AccountSID}/ActionInquiries
200

A paginated list of action inquiry objects.

Update an Action Inquiry

put

Updates an action inquiry by setting its resolution status and other related parameters.

Path parameters
AccountSIDstringRequired
Body
IdintegerRequired

Unique identifier for the action inquiry to update.

Example: 778987
ResolutionStatusstring · enumRequired

The new resolution status for the inquiry.

Example: VALIDPossible values:
RejectReasonstring · enumOptional

Required if ResolutionStatus is 'DECLINED'.

Example: Enquiry does not provide complete information required for evaluationPossible values:
ActionTrackerIdintegerOptional

Required if ResolutionStatus is 'VALID'. Unique ID for the event type.

Example: 4000
ResolutionNotesstringOptional

Optional notes about the resolution for the partner to see.

Example: Customer confirmed delivery; approved.
TransactionAmountnumber · decimalOptional

Overrides the transaction amount provided by the partner.

Example: 14
FinalPayoutnumber · decimalOptional

Manually sets the final payout, overriding system calculations.

Example: 0.28
TransactionDatestring · date-timeOptional

Specifies a new transaction date.

Example: 2026-09-10T00:00:00-07:00
ItemSku[i]stringOptional

Indexed parameter for item SKU (e.g., ItemSku1, ItemSku2).

ItemCategory[i]stringOptional

Indexed parameter for item category.

ItemName[i]stringOptional

For a VALID action inquiry, specifies the name of the item. This information can also be automatically appended through uploading a product catalog. impact.com highly recommends submitting this parameter when approving action inquiries to maintain accurate records & reporting.

Example: Acme Tennis Balls (One Dozen)
ItemSubCategory[i]stringOptional

The sub-category for the item.

Example: Tennis
ItemMPN[i]stringOptional

Manufacturer Part Number for the item; primarily used for retail sales.

Example: ACME-MPN-101
ItemTotalRebate[i]number · decimalOptional

Discount applied to this line item (not just for each product of this type).

Example: 5
ItemQty[i]integerOptional

Indexed parameter for item quantity.

ItemSubtotal[i]number · decimalOptional

Indexed parameter for item subtotal.

PromoCodestringOptional

Specifies the promo code used.

Example: 10OFF-FORGE
CustomerIdstringOptional

Your unique, non-PII customer identifier.

Example: BCZ2WVSH674563PDPYOTM3AXDQ
Responses
200

The request was successful.

application/json
StatusstringOptionalExample: OK
Uristring · uri-referenceOptionalExample: /Advertisers/<AccountSid>/ActionInquiries/782287
put
/Advertisers/{AccountSID}/ActionInquiries
200

The request was successful.

Get Action Inquiry Details

get

Retrieves the details of an existing action inquiry by its unique ID.

Path parameters
AccountSIDstringRequired
InquiryIdintegerRequired

The unique identifier for the action inquiry.

Responses
200

An action inquiry object.

application/json
IdintegerOptional

Unique identifier for the action inquiry.

Example: 778987
CampaignIdintegerOptional

Unique identifier for the associated campaign.

Example: 1000
CampaignNamestringOptionalExample: Acme Campaign
MediaPartnerIdintegerOptional

Unique identifier for the partner who created the inquiry.

Example: 10000
MediaPartnerNamestringOptionalExample: Acme Partner
OrderIdstringOptional

Your unique identifier for the consumer order.

Example: 9234918172372
TransactionDatestring · date-timeOptionalExample: 2020-09-10T00:00:00-07:00
TransactionAmountnumber · decimalOptionalExample: 14.00
InquiryTypestring · enumOptionalExample: UNTRACKEDPossible values:
ExpectedPayoutnumber · decimalOptionalExample: 3.00
ResolutionDeadlineDatestring · date-timeOptionalExample: 2020-09-18T00:00:00-07:00
TrackingLinkstring · uriOptional
ActionIdstringOptionalExample: 1017.4635.1023507
ActionUristring · uri-referenceOptionalExample: /Advertisers/<AccountSid>/Actions/1000.4635.1023507
AutoApprovalDatestring · date-timeOptionalExample: 2020-09-11T13:41:52-07:00
ResolutionStatusstring · enumOptional

Only returns action inquiries that match the specified resolution status.

Example: VALIDPossible values:
RejectReasonstring · enum · nullableOptionalPossible values:
FinalPayoutnumber · decimal · nullableOptionalExample: 0.28
ResolutionDatestring · date-time · nullableOptionalExample: 2020-09-11T13:41:57-07:00
CreationDatestring · date-timeOptionalExample: 2020-09-11T13:41:52-07:00
Uristring · uri-referenceOptionalExample: /Advertisers/<AccountSid>/ActionInquiries/778987
get
/Advertisers/{AccountSID}/ActionInquiries/{InquiryId}
200

An action inquiry object.

Last updated